Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class WATableColumnModel

    java.lang.Object
      |
      +--javax.swing.table.DefaultTableColumnModel
            |
            +--com.bea.wlpi.client.common.WATableColumnModel

public class WATableColumnModel
extends javax.swing.table.DefaultTableColumnModel

`TableColumnModel` implementation that supports persistence and header icons.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.swing.table.DefaultTableColumnModel
`changeEvent, columnMargin, columnSelectionAllowed, listenerList, selectionModel, tableColumns, totalColumnWidth`

Constructor Summary
`WATableColumnModel(java.lang.String[][] data)` Construct a new WATableColumnModel from raw data only.
`WATableColumnModel(javax.swing.table.TableColumnModel allColumns, java.util.Properties prop, java.lang.String prefix)` Construct a new WATableColumnModel from a Properties object and a master model.
`WATableColumnModel(javax.swing.table.TableColumnModel allColumns, java.lang.String[] identifiers)` Construct a new WATableColumnModel from column identifiers and a master model.

Method Summary
`void` | `store(java.util.Properties prop, java.lang.String prefix)` Store this WATableColumnModel into a Properties object.

Methods inherited from class javax.swing.table.DefaultTableColumnModel
`addColumn, addColumnModelListener, createSelectionModel, fireColumnAdded, fireColumnMarginChanged, fireColumnMoved, fireColumnRemoved, fireColumnSelectionChanged, getColumn, getColumnCount, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumns, getColumnSelectionAllowed, getListeners, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, moveColumn, propertyChange, recalcWidthCache, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WATableColumnModel

    public WATableColumnModel(javax.swing.table.TableColumnModel allColumns,
                              java.util.Properties prop,
                              java.lang.String prefix)

  Construct a new WATableColumnModel from a Properties object and a master model. This constructor is intended for use in restoring a user's column layout preferences.

  Parameters:
    `allColumns` - The set of all displayable columns.
    `prop` - Contains stored values for displayed columns.
    `prefix` - The property key prefix string for retrieving stored settings.
  See Also:
    `store(Properties, String)`

### WATableColumnModel

    public WATableColumnModel(javax.swing.table.TableColumnModel allColumns,
                              java.lang.String[] identifiers)

  Construct a new WATableColumnModel from column identifiers and a master model. This constructor is intended for constructing a default column model for use if the actual structure is not available from a properties object.

  Parameters:
    `allColumns` - The set of all displayable columns.
    `identifiers` - A list of column identifiers (each identifier must match an entry in `allColumns`).

### WATableColumnModel

    public WATableColumnModel(java.lang.String[][] data)

  Construct a new WATableColumnModel from raw data only. This constructor is intended for use only in constructing a master model where the model indexes and column indexes are equal.

  Parameters:
    `data` - Two-dimensional array of column settings. Each row in the array contains four elements in the following format: { <identifier>, <header_value>, <width>, <icon_name> }. There are as many rows in the array as there are to be columns in the model.

Method Detail

### store

    public void store(java.util.Properties prop,
                      java.lang.String prefix)

  Store this WATableColumnModel into a Properties object.

  Parameters:
    `prop` - Storage for column settings.
    `prefix` - Property key prefix to use.
  See Also:
    `WATableColumnModel(TableColumnModel, Properties, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)